/*
 * EXAMINATOR -- Create your multiple choice exams on the fly.
 * Copyright (C) 2010 Herbert Haas
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses/gpl-2.0.html
 *
 */

#include "examinator.h"


// Maybe TODO: stats rescan
int getopts (int argc, char *argv[])
{
	int c, rargs;
	opterr = 1; // let getopt print error message if necessary
	while ((c = getopt (argc, argv, "hvVg:")) != -1)
		switch (c) {
		 case 'h':
			return 1;
			break;
		 case 'v':
			verbose=1;
			break;
		 case 'V':
			verbose=2;
			break;
		 case 'g':
			safe_strncpy (group, optarg, 63);
			break;
		 case '?':
			if (optopt == 'a') 
				fprintf (stderr, "Option -%c requires an argument.\n", optopt);
			else if (isprint (optopt))
				fprintf (stderr, "Unknown option -%c'.\n", optopt);
			else
				fprintf (stderr, "Unknown option character \\x%x'.\n", optopt);
			    
			return 1;
			break;
		 default:
			fprintf (stderr," Could not handle arguments properly!\n");
			return 1;
		}
	
	if ((argc<1) || ((rargs=argc-optind)!=1)) return 1;
	safe_strncpy(configfile, argv[optind], MAX_TOKEN_LEN);
	
	return 0;
}
